package org.processmining.acceptingpetrinet.connections;

import org.processmining.acceptingpetrinet.models.AcceptingPetriNet;
import org.processmining.acceptingpetrinet.parameters.PackPetrinetParameters;
import org.processmining.framework.connections.impl.AbstractConnection;
import org.processmining.models.graphbased.directed.petrinet.Petrinet;

public class PackPetrinetConnection extends AbstractConnection {

	public final static String APN = "APN";
	public final static String NET = "NET";

	private PackPetrinetParameters parameters;

	public PackPetrinetConnection(AcceptingPetriNet apn, Petrinet net,
			PackPetrinetParameters parameters) {
		super("Pack Petri net Connection");
		put(APN, apn);
		put(NET, net);
		this.parameters = new PackPetrinetParameters(parameters);
	}

	public PackPetrinetParameters getParameters() {
		return parameters;
	}
}
