package org.processmining.acceptingpetrinet.connections;

import org.processmining.acceptingpetrinet.models.AcceptingPetriNet;
import org.processmining.acceptingpetrinet.parameters.RemoveStartEndTransitionsParameters;
import org.processmining.framework.connections.impl.AbstractConnection;

public class RemoveStartEndTransitionsConnection extends AbstractConnection {


	public final static String NET = "Net";
	public final static String REDUCEDNET = "ReducedNet";

	private RemoveStartEndTransitionsParameters parameters;

	public RemoveStartEndTransitionsConnection(AcceptingPetriNet net, AcceptingPetriNet reducedNet,
			RemoveStartEndTransitionsParameters parameters) {
		super("Remove Start and End Transitions Connection");
		put(NET, net);
		put(REDUCEDNET, reducedNet);
		this.parameters = new RemoveStartEndTransitionsParameters(parameters);
	}

	public RemoveStartEndTransitionsParameters getParameters() {
		return parameters;
	}
}