package org.processmining.acceptingpetrinet.connections;

import org.processmining.acceptingpetrinet.models.AcceptingPetriNet;
import org.processmining.acceptingpetrinet.parameters.UndoubleAcceptingPetriNetParameters;
import org.processmining.framework.connections.impl.AbstractConnection;

public class UndoubleAcceptingPetriNetConnection extends AbstractConnection {

	public final static String NET = "Net";
	public final static String REDUCEDNET = "ReducedNet";

	private UndoubleAcceptingPetriNetParameters parameters;

	public UndoubleAcceptingPetriNetConnection(AcceptingPetriNet net, AcceptingPetriNet reducedNet,
			UndoubleAcceptingPetriNetParameters parameters) {
		super("Undouble Accepting Petri Net Connection");
		put(NET, net);
		put(REDUCEDNET, reducedNet);
		this.parameters = new UndoubleAcceptingPetriNetParameters(parameters);
	}

	public UndoubleAcceptingPetriNetParameters getParameters() {
		return parameters;
	}
}
